using System.Net.NetworkInformation;

namespace PingExampleProject;

public partial class Form1 : Form
{
    public Form1()
    {
        InitializeComponent();
    }

    private void btnSimplePing_Click(object sender, EventArgs e)
    {
        var host = tbHost.Text.Trim();
        var ping = new Ping();
        var reply = ping.Send(host);
        if (reply.Status == IPStatus.Success)
            MessageBox.Show("Ping successful!");
        else
            MessageBox.Show("Hmm, something went wrong!");
    }

    private void btnWithExceptionHandling_Click(object sender, EventArgs e)
    {
        var host = tbHost.Text.Trim();
        var ping = new Ping();
        try
        {
            var reply = ping.Send(host);
            if (reply.Status == IPStatus.Success)
                MessageBox.Show("Ping successful!");
            else
                MessageBox.Show("Hmm, something went wrong!");
        }
        catch (Exception ex)
        {
            MessageBox.Show($"The ping failed: {ex.Message}");
        }
    }

    private async void btnEndlevel_Click(object sender, EventArgs e)
    {
        var host = tbHost.Text.Trim();
        // should be usually done by DI container...
        var networkService = new NetworkService();
        var wasSuccessful = await networkService.TryPingHostAsync(host);
        if (wasSuccessful)
            MessageBox.Show("Ping successful!");
        else
            MessageBox.Show("Hmm, something went wrong!");
    }

}
