﻿namespace PingExampleProject;

/// <summary>
/// An interface, denoting something which is able to provide network based operations
/// </summary>
public interface INetworkService
{

    /// <summary>
    /// Tries to send a ping request to the specified <paramref name="host"/>
    /// </summary>
    /// <param name="host">The host to be pinged</param>
    /// <returns>True, if the host could be reached and we got a successful signal, false otherwise.</returns>
    Task<bool> TryPingHostAsync(string host);

}
