﻿using System.Net.NetworkInformation;

namespace PingExampleProject;

/// <inheritdoc/>
public class NetworkService : INetworkService
{

    /// <inheritdoc/>
    public async Task<bool> TryPingHostAsync(string host)
    {
        var ping = new Ping();
        try
        {
            var reply = await ping
                .SendPingAsync(host)
                .ConfigureAwait(false);
            return reply.Status == IPStatus.Success;
        }
        catch (Exception)
        {
            return false;
        }
    }

}
